WhatsApp · WhatsApp Calling
Fetches calling config for a number.
GET
https://api.pozy.ai/v1/phone-numbers/{id}/whatsapp/callinggetWhatsAppCalling
Guide: WhatsApp calling
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
idrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/phone-numbers/6bfebd43ddc270f6d2c56fc5/whatsapp/calling" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/phone-numbers/6bfebd43ddc270f6d2c56fc5/whatsapp/calling", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/phone-numbers/6bfebd43ddc270f6d2c56fc5/whatsapp/calling",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
phoneNumberstringcallingEnabledbooleancallDeepLinkstringCan be null.
forwardTostringCan be null.
recordingEnabledbooleansipAuthUsernamestringCan be null.
sipAuthPasswordConfiguredbooleancallIconCountriesarray of stringCan be null.
outboundDisabledbooleancallerIdModestringOne of
business,platform.callerIdVerifiedbooleanmaxCallDurationSecondsintegerCan be null.
forwardCallerIdstringOne of
business,caller.
200 response
{
"phoneNumber": "+14155550123",
"callingEnabled": true,
"callDeepLink": "string",
"forwardTo": "string",
"recordingEnabled": true,
"sipAuthUsername": "acme",
"sipAuthPasswordConfigured": true,
"callIconCountries": [
"string"
],
"outboundDisabled": true,
"callerIdMode": "business",
"callerIdVerified": true,
"maxCallDurationSeconds": 1,
"forwardCallerId": "business"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in WhatsApp Calling
GETGet calling config for an accountPOSTEnable calling on a numberPATCHUpdate calling configDELDisable calling on a numberGETCheck call permissionGETList call history for an accountPOSTInitiate outbound callGETGet a single callGETGet a call recordingGETEstimate per-minute costPOSTEnable calling on a numberPATCHUpdate calling configDELDisable calling on a numberPOSTStart caller-ID verification for a customer-brought numberPOSTConfirm the caller-ID verification code